Name:    vst2sdk
Version: 2.4
Release: 1%{dist}
URL:     https://github.com/steinbergmedia/vst3sdk
License: LicenseRef-Proprietary-Steinberg-VST3-License OR GPL-3.0-only
Summary: Steinberg's VST2 SDK

Source0: VST_SDK_%{version}.tar.gz
Source1: vst-%{version}-sdk.tar.gz


BuildRequires: cmake
BuildRequires: gcc

Requires: %{name}-filesystem >= %{version}-%{release}

%description
%{summary}.

%prep
%setup -q -n VST_SDK_%{version} -b 1

%build
%cmake

%cmake_build


%install

for file in {aeffect.h,aeffectx.h,vstfxstore.h};
do
    install -p -Dm644 pluginterfaces/vst2.x/$file "%{buildroot}%{_datadir}/vstsdk/pluginterfaces/vst2.x/$file"
done

for file in {aeffeditor.h,audioeffect.cpp,audioeffect.h,audioeffectx.cpp,audioeffectx.h};
do
    install -p -Dm644 public.sdk/source/vst2.x/$file "%{buildroot}%{_datadir}/vstsdk/public.sdk/source/vst2.x/$file"
done

install -p -Dm644 "%{_builddir}/vst-%{version}-sdk/vstsdk%{version}/public.sdk/source/vst2.x/vstplugmain.cpp" "%{buildroot}%{_datadir}/vstsdk/public.sdk/source/vst2.x/vstplugmain.cpp"
install -p -Dm644 "libVST_SDK.a" "%{buildroot}%{_libdir}/libVST_SDK.a"


%files
%{_libdir}/libVST_SDK.a
%{_datadir}/vstsdk
